### Hierarchy

- ExternalServicesManagerImpl

### Implements

- ExternalServicesManager

## Index

### Constructors

- constructor

### Methods

- callExternalService
- getExternalServices

## Constructors

### constructor

- new ExternalServicesManagerImpl(externalServicesRepository: ExternalServicesRepository): ExternalServicesManagerImpl

- - Defined in manager/ExternalServicesManagerImpl.ts:9

  #### Parameters

  - ##### externalServicesRepository: ExternalServicesRepository

  #### Returns ExternalServicesManagerImpl

## Methods

### callExternalService

- callExternalService(serviceCall: ServiceCall): Promise<ServiceResponse>

- Implementation of ExternalServicesManager.callExternalService

  - Defined in manager/ExternalServicesManagerImpl.ts:15

  #### Parameters

  - ##### serviceCall: ServiceCall

  #### Returns Promise<ServiceResponse>

### getExternalServices

- getExternalServices(): Promise<Array<ExternalService>>

- Implementation of ExternalServicesManager.getExternalServices

  - Defined in manager/ExternalServicesManagerImpl.ts:19

  #### Returns Promise<Array<ExternalService>>

Generated using TypeDoc